function ckClass(id){
	var formId=document.getElementById(id);
	if((formId.ClassName.value=="")||(formId.ClassName.value=="输入值不能为空!!")){
		document.all("ClassName").style.color="#f44";
		formId.ClassName.innerText="输入值不能为空!!";
		return false;
	}
	var num=formId.ClassNum.value;
	document.all("ClassNum").style.color="#f44";
	if((num=="")||(num=="序号为空")||(num=="请填数字")){
		formId.ClassNum.innerText="序号为空";
		return false;
	}else{
		if(num.length>3){
			formId.ClassNum.innerText="3位数字";
			return false;
		}
		var nn=/^\d{1,3}$/;
		if(!nn.test(num)){
			formId.ClassNum.innerText="请填数字";
			return false;
		}
	}
	formId.submit();
	return true;
}
function closeAllMenu(){
	var ulArr=document.getElementsByTagName("ul");
	for(var i=0;i<ulArr.length;i++){
		if(ulArr(i).id=="BacksClass"){
			ulArr(i).style.display="none";
		}
	}
	return;
}
function ExtendMenu(name){
	closeAllMenu();
	var ulArr=document.getElementsByTagName("ul");
	for(var i=0;i<ulArr.length;i++){
		if(ulArr(i).id=="BacksClass"){
			var pArr=ulArr(i).childNodes;
			for(var j=0;j<pArr.length;j++){
				if(name==pArr(j).innerText){
					var yN=1;
				}
				if(yN==1){
					if(ulArr(i).style.display=="none"){
						ulArr(i).style.display="block";
					}else{
						ulArr(i).style.display="none";
					}								
				}
				yN=0;
			}
			
		}
	}
	return;
}